]> arthur.barton.de Git - bup.git/commitdiff
features-cmd: copy to bup.cmd.features
authorRob Browning <rlb@defaultvalue.org>
Mon, 8 Feb 2021 07:07:15 +0000 (01:07 -0600)
committerRob Browning <rlb@defaultvalue.org>
Sat, 6 Mar 2021 18:29:38 +0000 (12:29 -0600)
Signed-off-by: Rob Browning <rlb@defaultvalue.org>
lib/bup/cmd/features.py [new file with mode: 0755]
lib/cmd/features-cmd.py [deleted file]

diff --git a/lib/bup/cmd/features.py b/lib/bup/cmd/features.py
new file mode 100755 (executable)
index 0000000..cb1228e
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/sh
+"""": # -*-python-*-
+# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
+export "BUP_ARGV_0"="$0"
+arg_i=1
+for arg in "$@"; do
+    export "BUP_ARGV_${arg_i}"="$arg"
+    shift
+    arg_i=$((arg_i + 1))
+done
+# Here to end of preamble replaced during install
+bup_python="$(dirname "$0")/../../../config/bin/python" || exit $?
+exec "$bup_python" "$0"
+"""
+# end of bup preamble
+
+from __future__ import absolute_import, print_function
+
+# Intentionally replace the dirname "$0" that python prepends
+import os, sys
+sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/../..'
+
+import platform
+
+from bup import _helpers, compat, metadata, options, version
+from bup.io import byte_stream
+
+out = None
+
+def show_support(out, bool_opt, what):
+    out.write(b'    %s: %s\n' % (what, b'yes' if bool_opt else b'no'))
+
+optspec = """
+bup features
+"""
+o = options.Options(optspec)
+opt, flags, extra = o.parse(compat.argv[1:])
+
+sys.stdout.flush()
+out = byte_stream(sys.stdout)
+
+out.write(b'bup %s\n' % version.version)
+out.write(b'Source %s %s\n' % (version.commit, version.date))
+
+have_readline = getattr(_helpers, 'readline', None)
+have_libacl = getattr(_helpers, 'read_acl', None)
+have_xattr = metadata.xattr
+
+out.write(b'    Python: %s\n' % platform.python_version().encode('ascii'))
+show_support(out, have_readline, b'Command line editing (e.g. bup ftp)')
+show_support(out, have_libacl, b'Saving and restoring POSIX ACLs')
+show_support(out, have_xattr, b'Saving and restoring extended attributes (xattrs)')
diff --git a/lib/cmd/features-cmd.py b/lib/cmd/features-cmd.py
deleted file mode 100755 (executable)
index 225a500..0000000
+++ /dev/null
@@ -1,52 +0,0 @@
-#!/bin/sh
-"""": # -*-python-*-
-# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
-export "BUP_ARGV_0"="$0"
-arg_i=1
-for arg in "$@"; do
-    export "BUP_ARGV_${arg_i}"="$arg"
-    shift
-    arg_i=$((arg_i + 1))
-done
-# Here to end of preamble replaced during install
-bup_python="$(dirname "$0")/../../config/bin/python" || exit $?
-exec "$bup_python" "$0"
-"""
-# end of bup preamble
-
-from __future__ import absolute_import, print_function
-
-# Intentionally replace the dirname "$0" that python prepends
-import os, sys
-sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/..'
-
-import platform
-
-from bup import _helpers, compat, metadata, options, version
-from bup.io import byte_stream
-
-out = None
-
-def show_support(out, bool_opt, what):
-    out.write(b'    %s: %s\n' % (what, b'yes' if bool_opt else b'no'))
-
-optspec = """
-bup features
-"""
-o = options.Options(optspec)
-opt, flags, extra = o.parse(compat.argv[1:])
-
-sys.stdout.flush()
-out = byte_stream(sys.stdout)
-
-out.write(b'bup %s\n' % version.version)
-out.write(b'Source %s %s\n' % (version.commit, version.date))
-
-have_readline = getattr(_helpers, 'readline', None)
-have_libacl = getattr(_helpers, 'read_acl', None)
-have_xattr = metadata.xattr
-
-out.write(b'    Python: %s\n' % platform.python_version().encode('ascii'))
-show_support(out, have_readline, b'Command line editing (e.g. bup ftp)')
-show_support(out, have_libacl, b'Saving and restoring POSIX ACLs')
-show_support(out, have_xattr, b'Saving and restoring extended attributes (xattrs)')